Unable to Use Latest Amdo.exe

i Have Vodafone smart Prime 6 And downloaded the latest Furious Box Installer 21012016
My Dongle is activated on pack 5 and pack 3..
Its still saying
Applet Not found update using correct pack or use latest version 🙁

Can Any One Help in This :confused:
Regards !!